# README for mod_fastcgi

**mod_fastcgi** is a module for the Apache web server, that enables
`FastCGI - a standards based protocol` for communicating with
applications that generate dynamic content for web pages.

**FastCGI** provides a superset of **CGI** functionality, but a subset of the
functionality of programming for a particular web server API.

Nonetheless, the feature set is rich enough for programming virtually
any type of web application, but the result is generally more
scalable.  

For more information on **FastCGI**, see on https://fastcgi-archives.github.io/

For information on **installing mod_fastcgi with Apache 1.3.x**, see the
file [INSTALL](INSTALL.md).

For information on **installing mod_fastcgi with Apache 2.x**, see the
file [INSTALL.AP2](INSTALL.AP2.md).

For information on **configuring an installed instance of mod_fastcgi**,
see the file [CONFIG](CONFIG.md). 

For information on **programming FastCGI applications**, see on https://fastcgi-archives.github.io/?#apilib

Finally, if you get stuck - start with the [Frequently Asked Questions
(FAQ)](https://fastcgi-archives.github.io/FastCGI_FAQ.html)

If you still can't find an answer use github [issues](https://github.com/FastCGI-Archives/mod_fastcgi/issues).

For history the old mailing list are at:

- http://blog.gmane.org/gmane.comp.web.fastcgi.devel
- http://git.net/ml/web.fastcgi.devel
- https://web.archive.org/web/20130914200635/http://mailman.chelsea.net/mailman/listinfo/fastcgi-developers
